# PluginCodec_Utilities Class Reference

`#include <opalplugin.hpp>`

Inheritance diagram for PluginCodec_Utilities:

[legend]

## Static Public Member Functions

static unsigned | String2Unsigned (const std::string &str)
static void | AppendUnsigned2String (unsigned value, std::string &str)
static void | Unsigned2String (unsigned value, std::string &str)
static void | Change (const char *value, PluginCodec_OptionMapBase &original, PluginCodec_OptionMapBase &changed, const char *option)
static void | Change (unsigned value, PluginCodec_OptionMapBase &original, PluginCodec_OptionMapBase &changed, const char *option)
static void | ClampMax (unsigned maximum, PluginCodec_OptionMapBase &original, PluginCodec_OptionMapBase &changed, const char *option, bool forceIfZero=false)
static void | ClampMin (unsigned minimum, PluginCodec_OptionMapBase &original, PluginCodec_OptionMapBase &changed, const char *option)
static unsigned | GetMacroBlocks (unsigned width, unsigned height)
static bool | ClampResolution (unsigned &width, unsigned &height, unsigned &maxFrameSize)

## Member Function Documentation

static void PluginCodec_Utilities::AppendUnsigned2String | ( | unsigned | value,
|  | std::string & | str |
| ) |  |  | `[inline, static]`

static void PluginCodec_Utilities::Change | ( | unsigned | value,
|  | PluginCodec_OptionMapBase & | original,
|  | PluginCodec_OptionMapBase & | changed,
|  | const char * | option |
| ) |  |  | `[inline, static]`

static void PluginCodec_Utilities::Change | ( | const char * | value,
|  | PluginCodec_OptionMapBase & | original,
|  | PluginCodec_OptionMapBase & | changed,
|  | const char * | option |
| ) |  |  | `[inline, static]`

static void PluginCodec_Utilities::ClampMax | ( | unsigned | maximum,
|  | PluginCodec_OptionMapBase & | original,
|  | PluginCodec_OptionMapBase & | changed,
|  | const char * | option,
|  | bool | forceIfZero = `false` |
| ) |  |  | `[inline, static]`

static void PluginCodec_Utilities::ClampMin | ( | unsigned | minimum,
|  | PluginCodec_OptionMapBase & | original,
|  | PluginCodec_OptionMapBase & | changed,
|  | const char * | option |
| ) |  |  | `[inline, static]`

static bool PluginCodec_Utilities::ClampResolution | ( | unsigned & | width,
|  | unsigned & | height,
|  | unsigned & | maxFrameSize |
| ) |  |  | `[inline, static]`

static unsigned PluginCodec_Utilities::GetMacroBlocks | ( | unsigned | width,
|  | unsigned | height |
| ) |  |  | `[inline, static]`

static unsigned PluginCodec_Utilities::String2Unsigned | ( | const std::string & | str | ) | `[inline, static]`

static void PluginCodec_Utilities::Unsigned2String | ( | unsigned | value,
|  | std::string & | str |
| ) |  |  | `[inline, static]`

The documentation for this class was generated from the following file:

- opalplugin.hpp